Bug 56326 - Cannot from /dev/md2 to /dev/md1
Cannot from /dev/md2 to /dev/md1
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: raidtools (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-15 12:23 EST by Renato
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 02:09:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renato 2001-11-15 12:23:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I created 3 raid partitions - md0, md1, md2. I remove md1 and try to swap 
md2 to md1. It doesn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create 3 'raid 1' partitions: md0, md1, md2
2. Remove /dev/md1 from /etc/raidtab
3. Change /dev/md2 to /dev/md1 in /etc/raidtab	
4. Reboot the machine

Actual Results:  I see the message:
Starting RAID devices: md0 md1
Checking Filesystem
Could this be a zero-length partition ?
fsck.ext2: Attempt to read block from filesystem resulted in short read 
while trying to open /dev/md1

Additional info:

The partition that composes original /dev/md2 are no AUTORAID detection. 
Even though, it seems kernel starting the raid before it gets to the 
script ( rc.sysinit ). 

After the error I described above, when it jumps me to the prompt and I do 
a 'cat /proc/mdtstat', I see md0 and md2. I run 'raidstop /dev/md2' and 
then 'raidstart /dev/md1', look at 'cat /proc/mdstat' and md2 is there 
again !!!

Note You need to log in before you can comment on or make changes to this bug.